Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution: Fixed   

Description

Since #33113, the default_assignee field in a project is available through the API, but in read omly : we cannot create a project with

this field through the API.

Maybe I'm wrong, then, please, let me know how can I do that ? 

Is this feature can be added in the API ? 

thanks,

History

#1 - 2021-02-24 19:39 - Marius BĂLTEANU

- File request.png added

- Status changed from New to Closed

- Resolution set to Invalid

API already supports this, but it can be used only when the project that you created is a subproject and it inherits the members, otherwise, you cannot

used it because the project has no members and the default assignee needs to be an existing member.

On my instance (latest trunk), the following request:

 request.png 

created the project with default assignee and version:

{

    "project": {

        "id": 12,

        "name": "abcde",

        "identifier": "abcde",

        "description": null,

        "homepage": "",

        "parent": {

            "id": 1,

            "name": "eCookbook" 

        },

        "status": 1,

        "is_public": true,

        "inherit_members": true,

        "default_version": {

            "id": 7,

            "name": "Systemwide visible version" 

        },

        "default_assignee": {

            "id": 3,

            "name": "Dave Lopper" 

        },

        "custom_fields": [

            {

                "id": 3,

                "name": "Development status",

                "value": "" 

            }

        ],
        "created_on": "2021-02-24T18:31:09Z",

        "updated_on": "2021-02-24T18:31:09Z" 

    }

}

 I'm closing this, please reopen if something is missing.

#2 - 2021-02-25 11:32 - Sébastien Lardière

- Status changed from Closed to Reopened

Ok, thanks for your answer, I got it now, but I can't use subproject, for historical reason.

How can I setup `default_assigned_to_id` after created the membership ? 

#3 - 2021-02-25 15:29 - Sébastien Lardière

Actually, it works, just put default_assigned_to_id after created the membership.

Worth to be documented, ihmo.

Thanks,

#4 - 2021-02-26 23:08 - Marius BĂLTEANU

- Category changed from REST API to Documentation

- Status changed from Reopened to Closed

- Assignee set to Marius BĂLTEANU

- Resolution changed from Invalid to Fixed

I've updated the page Rest_Projects.

Files

request.png 84.9 KB 2021-02-24 Marius BĂLTEANU
